﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using HeuristicLab.MainForm;
using HeuristicLab.MainForm.WindowsForms;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.Clients.Access.Views {
  [View("RefreshableLightweightUser View")]
  [Content(typeof(AccessClient), false)]
  public partial class RefreshableLightweightUserView : RefreshableView {
    public RefreshableLightweightUserView() {
      InitializeComponent();
    }

    protected override void RefreshData() {
      Content.RefreshAsync(new Action<Exception>((Exception ex) => ErrorHandling.ShowErrorDialog(this, "Refresh failed.", ex)));
    }

    protected override void Content_Refreshing(object sender, EventArgs e) {
      base.Content_Refreshing(sender, e);
      viewHost.Content = null;
    }

    protected override void Content_Refreshed(object sender, EventArgs e) {
      base.Content_Refreshed(sender, e);

      viewHost.Content = Content.Users;
    }
  }
}
